com.amazonaws.codegen.model.service

## Class Waiters

- java.lang.Object
- - com.amazonaws.codegen.model.service.Waiters

    public class Waiters
    extends Object

### Field Summary

Fields
`static Waiters` `NONE`

### Method Summary

All Methods Instance Methods Concrete Methods
`WaiterDefinition` `getWaiterDefinition(String waiterName)`
`Map<String,WaiterDefinition>` `getWaiters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NONE

    public static final Waiters NONE

### Method Detail

#### getWaiters

    public Map<String,WaiterDefinition> getWaiters()

#### getWaiterDefinition

    public WaiterDefinition getWaiterDefinition(String waiterName)